# Tag Name: set

## Description

Assigns a value to a variable in a specified scope

## Attributes

#### Dynamic Attributes Allowed:

false

#### Name

#### Required

#### Default

#### Evaluated

#### Type

#### Description

id | false |  | false | String | Deprecated. Use 'var' instead
name | false |  | false | String | Deprecated. Use 'var' instead
scope | false | action | false | String | The scope in which to assign the variable. Can be application, session, request, page, or action.
value | false |  | false | String | The value that is assigned to the variable named name
var | false |  | false | String | Name used to reference the value pushed into the Value Stack